$main-font: AdobeInvisFont, 'Montserrat', sans-serif;
$second-font: AdobeInvisFont, 'Lato', sans-serif;
$main-color: rgba(255, 255, 255, 255);

@mixin positionCentr {
  text-align: center;
  margin: auto;
}
@mixin box-size ($height,$width) {
  height: $height;
  width: $width;
}


body {
  margin: auto;
  height: 100%;
}

.section-2 {
  @include box-size (422px,320px);
  @include positionCentr;
  font-family: $main-font;

  &__title,
  &__subtitle {
    @include positionCentr;
  }

  &__title {
    margin: 72px auto 23px auto;
    text-transform: uppercase;
    width: 236px;
  }

  &__subtitle {
    width: 266px;
    margin-bottom: 14px;
  }

  &__wrapper {
    display: inline-block;
    margin-bottom: 88px;
    width: 266px;
  }
}

.wrapper {
  &__buttons {
    float: left;
    text-align: left;
    margin: 20px auto auto 12px;

    &_position {
      margin-left: 75px;
    }
  }
}

.title-1 {
  font-size: 19pt;
  font-weight: bolder;
  color: rgba(99, 92, 115, 255);
  text-transform: uppercase;
}

.subtitle-1 {
  font-family: $second-font;
  font-size: 10pt;
  color: #5b5b5b;
}

.buttonCount {
  @include box-size (25px,118px);
  border: 1px solid black;
  border-radius: 5px;
  display: inline-block;
  font-size: 12px;
  font-weight: bolder;
  font-family: $main-font;

  &__button {
    background-color: rgb(232, 237, 243);
    border-right: 1px solid black;
    border-radius: 5px 0 0 5px;
    font-weight: bolder;
    height: 100%;
    outline: none;
    width: 78px;
  }

  &__counter {
    display: inline-block;
    margin-left: 14px;
  }
}

.section-3 {
  @include positionCentr;
  background-color: #f4f4f4;
  font-family: $main-font;
  width: 320px;

  &__title {
    width: 227px;
    padding: 30px 0 34px 0;
    margin: auto;
  }

  &__img {
    overflow: hidden;
  }
}

.title-2 {
  font-size: 23.47625pt;
  color: rgba(141, 129, 172, 255);
  width: 268px;
}

.benefits {
  width: 268px;
  margin: auto;
}

.block {
  &__title {
    font-size: 11.73812pt;
    color: #666666;
    text-align: center;
    margin: 29px auto 20px auto;
  }

  &__text {
    font-family: $second-font;
    font-size: 10.27086pt;
    color: rgba(132, 142, 151, 255);
    margin-bottom: 37px;
  }
}

.section-5 {
  @include box-size (2189px,320px);
  background-color: #4b3b4e;
  font-family: $main-font;
  margin: auto;

  &__title {
    @include positionCentr;
    padding: 71px 0 53px 0;
  }
}

.activ {
  @include box-size (560px,299px);
  background-color: black;
}

.title-3 {
  background-color: #4b3b4e;
  font-weight: bolder;
  font-size: 20.54172pt;
  color: $main-color;
  min-width: 257px;
}

.priceCard {
  @include box-size (457px,257px);
  background-color: #5f5161;
  text-align: center;
  margin: 0 auto 14px;

  &__inner {
    list-style: none;
    padding: 0;
    margin: 0;
  }

  &__name {
    background-color: #685b6a;
    height: 97px;
    font-size: 17.60719pt;
    color: $main-color;
    line-height: 97px;
    text-transform: uppercase;
  }

  &__price {
    color: $main-color;
    margin-top: 24px;
    font-size: 45pt;
    font-weight: bolder;

    &--symbol {
      font-weight: normal;
    }
  }

  &__period {
    font-size: 12pt;
    color: #766a77;
    text-transform: uppercase;
    margin: 16px auto 21px auto;
  }

  &__text {
    @include box-size (42px,211px);
    font-size: 12pt;
    margin: 27px auto 0;
    color: $main-color;
  }

  &__btn {
    margin-top: 55px;
  }
}

.activ {
  background-color: #413344;
  transform: scale(1.07, 1.2);
  margin-left: 15px;

  .priceCard__name {
    background-color: #392d3d;
  }
}

.btn-1 {
  background-color: #776b79;
  border-radius: 25px;
  font-size: 11.00449pt;
  color: $main-color;
  @include box-size (42px,160px);
  text-transform: uppercase;
}

@media only screen and (min-width: 481px) {

  .section-2 {
    @include box-size (375px,768px);

    &__title {
      font-size: 30.81257pt;
      min-width: 558px;
    }

    &__subtitle {
      min-width: 669px;
      font-size: 15.40629pt;
    }

    &__wrapper {
      min-width: 400px;
    }
  }
  .wrapper {

    &__buttons {
      &_position {
        margin-left: 12px;
      }
    }
  }

  .section-3 {
    text-align: left;
    width: 768px;
  }

  .benefits {
    width: 768px;

    &__img {
      display: inline-block;
      margin: auto 30px auto 23px;
      width: 111px;
      text-align: center;
    }
  }

  .block {
    width: 522px;
    display: inline-block;

    &__title {
      text-align: left;
      margin-top: 29px;
    }
  }

  .title-2 {
    font-size: 30.81257pt;;
    width: 768px;
    text-align: center;
  }

  .section-5 {
    @include box-size (1311px,768px);
    text-align: center;
  }

  .title-3 {
    font-size: 30.81257pt;

  }
  .priceCard {
    display: inline-block;
    margin: auto 20.5px 91px 20.5px;
  }
}

@media only screen and (min-width: 993px) {

  .section-2 {
    @include box-size (375px,1200px);

    &__title {
      font-size: 39.61617pt;
      width: 718px;
    }

    &__subtitle {
      width: 913px;
      font-size: 15.40629pt;
      color: rgba(50, 50, 50, 255);
    }

    &__wrapper {
      min-width: 400px;
    }
  }
  .wrapper {

    &__buttons {
      &_position {
        margin-left: 12px;
      }
    }
  }

  .section-3 {
    @include box-size (711px,1200px);
    padding-top: 20px;
    text-align: left;

    &__wrapper {
      display: inline-block;
      float: left;
      margin-top: 15px;
    }

    &__img {
      float: right;
      width: 574px;
    }
  }

  .benefits {
    width: 574px;
    margin: 0;

    &__img {
      margin: auto 23px auto 30px;
      width: 111px;
    }
  }

  .block {
    width: 365px;

    &__title {
      text-align: left;
      margin-top: 29px;
    }
  }

  .title-2 {
    float: right;
    font-size: 35pt;
    width: 590px;
    text-align: right;
  }

  .section-5 {
    height: 847px;
    text-align: center;
    width: 1200px;
  }

  .title-3 {
    font-size: 35.21437pt;
    padding-bottom: 122px;
  }

  .priceCard {
    margin: auto 6.5px 91px;
  }
}